'use strict';

var themeNameToVarName = function themeNameToVarName(theme) {
    return (theme || '').replace(/-([a-z])/gi, function (match, letter) {
        return letter.toUpperCase();
    }).replace(/\..*/, '').replace(/^[0-9]/, function (match) {
        return 'n' + match;
    });
};

module.exports = {
    themeNameToVarName: themeNameToVarName
};
//# sourceMappingURL=utils.js.map