'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.getOptions = exports.setOptions = undefined;

var _addons = require('@storybook/addons');

var _addons2 = _interopRequireDefault(_addons);

var _constants = require('./constants');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var options = {
    theme: null,
    presets: undefined,
    plugins: undefined
};

var setOptions = exports.setOptions = function setOptions(customOptions) {
    _addons2.default.getChannel().emit(_constants.event.SyncOptions, Object.assign(options, customOptions));
};

var getOptions = exports.getOptions = function getOptions() {
    return options;
};
//# sourceMappingURL=options.js.map