'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _standalone = require('@babel/standalone');

var _options = require('./options');

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

exports.default = function (source, scope) {
    var _Function;

    var _getOptions = (0, _options.getOptions)(),
        presets = _getOptions.presets,
        plugins = _getOptions.plugins;

    var code = (0, _standalone.transform)(source, { presets: presets, plugins: plugins, parserOpts: { allowReturnOutsideFunction: true } }).code;
    // $FlowIgnore
    return (_Function = Function.apply(undefined, _toConsumableArray(Object.keys(scope)).concat([code]))).bind.apply(_Function, [null].concat(_toConsumableArray(Object.values(scope))));
};
//# sourceMappingURL=transform.js.map